Subject: Re: FW: scvp

From: Peter Sylvester <[email-masked]>
Date: Mon, 26 Apr 2004 19:18:40 +0200 (MEST)

> > Do you want something like 
> > 
> >    validationPolicyParameters ANY DEFINED BY theValidationPolicy
> 
> Yes.

unless I'm wrong, validation policies identifiers are something like
the policy identifier in RFC 3161? if so, the number is unlimited,
and you cannot use really these ids in an any define by construct.

And how would you construct an ASN1 parser for this, how would
a parser learn dynamically what syntax (and semantics) you need.

Isn't exactly the technical nonsense that we had in version 12,
the validation algorithm syntaxes had been split off in v13,
in a validation policy you indicate now as a parameter. 

"use validation algorithm OIDofsslserver + dns=this.domain", 

you could try to define things like that for each step for the
validation path, saying, "the ca that signs at level 1 must
be validates using cavalidation algorithm 'standard 3280 default
path' (or one of a few of others), and the parameters for algorithm are
'the OCSP server to validate', frequence of validation time?? or others. 

I think one should first try and define a language for ... ooups, SPKI

---

From: Denis Pinkas <[email-masked]>
Date: Tue, 27 Apr 2004 19:58:09 +0200

Peter,

> and you cannot use really these ids in an any define by construct.

The issuer of the OID will have to provide the full definition. If there are 
some parameters (which is not mandatory at all), then it will define the 
ASN.1 syntax, and then you will be able to compile it.

Denis